<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabase..::.Open Method (String, SecondaryDatabaseConfig)
SecondaryDatabase Class See Also Send Feedback

Instantiate a new SecondaryDatabase object, open the database represented by Filename and associate the database with the primary index. The file specified by Filename must exist.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public static SecondaryDatabase Open(
    	string Filename,
    	SecondaryDatabaseConfig cfg
    )

Visual Basic (Declaration)

    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As SecondaryDatabaseConfig _
    ) As SecondaryDatabase

Visual C++

    public:
    static SecondaryDatabase^ Open(
    	String^ Filename,
    	SecondaryDatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file used to back the database.

cfg
  Type: BerkeleyDB..::.SecondaryDatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If AutoCommit is set, the operation is implicitly transaction protected. Transactionally protected operations on a database object requires the object itself be transactionally protected during its open.

# See Also

SecondaryDatabase Class
Open Overload
BerkeleyDB Namespace